<!-- <div class="col-xs-12">
    <div class="article cinsight"> -->
        <div class="header">
            <!-- <a href="<%#= country_insights_path  %>" class="back-icon"></a> -->
            <h1 class="font-light"><%= @country.name %></h1>
        </div>
        <div class="article-content">

            <div class="row topsec">
                <div class="col-sm-2"><img src="<%= @country.flag.url %>" alt="" class="img-responsive flag" /></div>
                <div class="col-sm-10">
                    <div class="row">
                        <!-- <div class="col-sm-12 col-xs-12">
                            <h1><%= @country_guide.country_name %></h1>
                        </div> -->
                        <div class="col-sm-3 col-xs-6 cntry_padding">
                            <h4 class="font-bold">Population</h4>
                            <h2><%= @population %></h2>
                        </div>
                        <div class="col-sm-3 col-xs-6 cntry_padding no-padding">
                            <h4 class="font-bold">Unemployment (%)</h4>
                            <h2><%= @unemployment %>%</h2>
                        </div>
                        <div class="col-sm-3 col-xs-6 cntry_padding">
                            <h4 class="font-bold">GDP Growth</h4>
                            <h2><%= @gdp_growth %>%</h2>
                        </div>
                        <div class="col-sm-3 col-xs-6 cntry_padding">
                            <h4 class="font-bold">GDP Per Capita</h4>
                            <h2>USD <%= @gdp_per_cap %></h2>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <h3>Overview</h3>
                    <!-- <p><%#= @overview.html_safe %></p> -->
                    <%  if (@overview.present? && @overview.html_safe.length > 240) %>
                        <p class="overview collapsed">
                            <%= truncate(@overview.html_safe, length: 800, escape: false) %>
                            <a class="link view_more_content_link" href="javascript:void(0)" id='view_more_content' data-id="<%= @country.id %>">Read more</a>
                        </p>
                        <p class="overview detailed">
                            <%= @overview.html_safe %>
                            <a class="link view_less_content_link" href="javascript:void(0)" id='view_more_content' data-id="<%= @country.id %>">...Read less</a>
                        </p>
                    <% else %>
                        <p class="overview">
                            <%= @overview.html_safe %>
                        </p>
                    <% end %>
                </div>
            </div>

            <div class="map-sec">
                <div class="row">
                    <div class="col-sm-12 col-md-12">
                        <div class="row">
                            <div class="col-sm-3 col-xs-6 map_img">
                                <% if @is_indeed_company == true %>
                                    <div class="cntryinfo">
                                        <a href="<%= search_jobs_path('job_search[country]': @country_guide.country_code, 'job_search[job_region]': 'international', 'job_search[job_type]': 'all', 'job_search[publish_date]': 'any', 'page': 1, sort: 'relevance', 'job_search[search]': @country_guide.country_code) %>" class="" data-method="post" data-name="<%= @country_guide.country_code %>"> <img src="/assets/jobs.png" alt="" class="img-responsive">
                                            <p>Jobs</p>
                                        </a>
                                    </div>
                                <% else %>
                                    <div class="cntryinfo <%= @country_guide.job_site_link != 'NA' ? '' : 'disabled_parent' %>">
                                        <a href="<%= @country_guide.job_site_link != 'NA' ? @country_guide.job_site_link : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.job_site_link != 'NA' ? '' : 'disabled' %>"> <img src="/assets/jobs.png" alt="" class="img-responsive">
                                            <p>Jobs</p>
                                        </a>
                                    </div>
                                <% end %>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.cia_link != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.cia_link != 'NA' ? @country_guide.cia_link : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.cia_link != 'NA' ? '' : 'disabled' %>"> <img src="/assets/fact.png" alt="" class="img-responsive">
                                        <p>Factbook</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.cdc_gov != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.cdc_gov != 'NA' ? @country_guide.cdc_gov : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.cdc_gov != 'NA' ? '' : 'disabled' %>"> <img src="/assets/health.png" alt="" class="img-responsive" title="Health Advisory" data-toggle="tooltip">
                                        <p>Health Advisory</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.immegration_website != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.immegration_website != 'NA' ? @country_guide.immegration_website : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.immegration_website != 'NA' ? '' : 'disabled' %>"> <img src="/assets/immigration.png" alt="" class="img-responsive">
                                        <p>Immigration</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.numbeo != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.numbeo != 'NA'  ? @country_guide.numbeo : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.numbeo != 'NA' ? '' : 'disabled' %>"> <img src="/assets/cost.png" alt="" class="img-responsive">
                                        <p>Cost of Living</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.lonely_planet != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.lonely_planet != 'NA' ? @country_guide.lonely_planet : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.lonely_planet != 'NA' ? '' : 'disabled' %>"> <img src="/assets/travel.png" alt="" class="img-responsive">
                                        <p>Travel</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.us_travel_advisory != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.us_travel_advisory != 'NA' ? @country_guide.us_travel_advisory : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.us_travel_advisory != 'NA' ? '' : 'disabled' %>"> <img src="/assets/travela.png" alt="" class="img-responsive">
                                        <p>Travel Advisory</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.hofstede_insights != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.hofstede_insights != 'NA' ? @country_guide.hofstede_insights : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.hofstede_insights != 'NA' ? '' : 'disabled' %>"> <img src="/assets/hofstede.png" alt="" class="img-responsive">
                                        <p>Culture</p>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-12">
                        <div id="map"></div>
                    </div>
                </div>
            </div>
        </div>
    <!-- </div>
</div> -->
<% logger.info "===req===#{request.format }" %>
<script>
    function initMapNew(country) {
        // var loct = <%#= raw(marker.to_json) %>
        // console.log(loct[0])
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 5,
            // center: loct[0]
        });
        geocoder = new google.maps.Geocoder();
        geocoder.geocode( { 'address': country }, function(results, status) {
            map.setCenter(results[0].geometry.location);
            var marker = new google.maps.Marker({
                map: map,
                position: results[0].geometry.location,
                // label: labels[i % labels.length]
                // alert(1)
            });
        })
        // geocoder.geocode( { 'address': "<%#= @country.name %>" }, function(results, status) {
        //     map.setCenter(results[0].geometry.location);
        // }

        // // Add a marker clusterer to manage the markers.
        // var markerCluster = new MarkerClusterer(map, markers, {imagePath: 'https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m'});
    }
</script>
<% if request.format.eql?('text/javascript') %>
    <script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAQoyHt6t48brE7eZT4yGhSC4eGs0Hlclg&callback=initMapNew(<%= @country.name %>)"></script>
<% end %>
